pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: HEADS-UP: Qt4 on Mac OS X


On Thu, 13 Jan 2011 21:44:47 +0900, Adam <> wrote:

I have changed the way Qt4 compiles on Mac OS X. Now it doesn't need X11 and runs 
natively on Cocoa. (Qt4 -> X11 -> Cocoa seems like a waste of resources.)

But... Qt4 built from PkgSrc is not packaged as a bunch of frameworks, so some 
packages may not compile and/or install correctly. Especially those that want 
to package themselves as Mac OS X application bundles.

I feel that some packages are just using QT for UI of X app, some of them might 
be unusable.
So why not use x11 option, like x11/gtk2?

If you encounter any problem related to Qt4, please let me know.

I wonder since when, but "qmake" will be built in "make configure" phase...?

OBATA Akio /

Home | Main Index | Thread Index | Old Index